using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Newtonsoft.Json;

namespace FMSAdmin.Entities {
    public partial class CmFileCategory {
        public CmFileCategory() {
            CmFile = new HashSet<CmFile>();
        }

        [Key]
        public int FileCategoryId { get; set; }
        [Required]
        [StringLength(32)]
        public string Name { get; set; }

        [JsonIgnore]
        [InverseProperty("FileCategory")]
        public virtual ICollection<CmFile> CmFile { get; set; }
    }
}
